Bug 901631 - AHCI doesn't support migration
AHCI doesn't support migration
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
Unspecified Unspecified
high Severity high
: pre-dev-freeze
: ---
Assigned To: John Snow
Virtualization Bugs
: 1023852 1047450 1049259 (view as bug list)
Depends On:
Blocks: 1004480 1227278 922007
  Show dependency treegraph
Reported: 2013-01-18 12:14 EST by Kevin Wolf
Modified: 2015-06-25 15:00 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-06-05 12:18:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Wolf 2013-01-18 12:14:25 EST
The current upstream AHCI emulation does not support live migration. Patches from Jason Baron exist, but tests have shown that they don't work reliably under I/O load (the guest kernel freezes or crashes occasionally after live migration), so upstream is going to apply, but disable them.

This needs some debugging to find the reason for the failures, so that the feature can be enabled for RHEL 7.
Comment 6 Ademar Reis 2013-07-31 22:10:44 EDT
This is a complex feature and we won't be able to deliver it in RHEL7.0. Deferring it to RHEL7.1 at least.

And it should probably be reassigned to someone working on ahci itself upstream.
Comment 7 Xiaoqing Wei 2014-01-02 04:15:36 EST
*** Bug 1047450 has been marked as a duplicate of this bug. ***
Comment 8 Peter Krempa 2014-01-07 05:16:45 EST
*** Bug 1049259 has been marked as a duplicate of this bug. ***
Comment 11 juzhang 2014-06-11 21:28:14 EDT
Hi Huding,

Could you have a try and add comment?

Best Regards,
Comment 17 Peter Krempa 2014-07-07 03:55:57 EDT
*** Bug 1023852 has been marked as a duplicate of this bug. ***
Comment 19 Paolo Bonzini 2015-06-05 12:18:24 EDT
Won't be fixed in qemu-kvm except through rebase.

Note You need to log in before you can comment on or make changes to this bug.